/*
 * oma-ds-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 *   @CscKeys.h
 *   @version									0.1
 *   @brief										This file is the header file of define for CSC keys
 */

#ifndef CSCKEYS_H_
#define CSCKEYS_H_

/* SyncML DS */
#define CSC_VCONF_KEY_SYNCMLDS_NBDATASYNC	        "db/SyncML/oma-ds-agent/DS/Accounts/NbDataSync"
#define CSC_VCONF_KEY_SYNCMLDS_NETWORK		        "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/NetworkName"
#define CSC_VCONF_KEY_SYNCMLDS_VERSION		        "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/DSVersion"
#define CSC_VCONF_KEY_SYNCMLDS_NAME                 "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Name"
#define CSC_VCONF_KEY_SYNCMLDS_ADDR		            "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/AppAddr/Addr"
#define CSC_VCONF_KEY_SYNCMLDS_AUTHNAME			"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/AuthInfo/Client/AuthName"
#define CSC_VCONF_KEY_SYNCMLDS_AUTHPWD				"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/AuthInfo/Client/AuthPWD"
#define CSC_VCONF_KEY_SYNCMLDS_SYNCTYPE             "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/GUI/SyncType"
#define CSC_VCONF_KEY_SYNCMLDS_SYNCMODE             "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/GUI/SyncMode"
#define CSC_VCONF_KEY_SYNCMLDS_CONTACTS_ENABLED		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Contacts/Enabled"
#define CSC_VCONF_KEY_SYNCMLDS_CONTACTS_TGTURI		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Contacts/TgtURI"
#define CSC_VCONF_KEY_SYNCMLDS_CONTACTS_AUTHNAME	"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Contacts/AuthInfo/Server/AuthName"
#define CSC_VCONF_KEY_SYNCMLDS_CONTACTS_AUTHPWD		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Contacts/AuthInfo/Server/AuthPWD"
#define CSC_VCONF_KEY_SYNCMLDS_CALENDAR_ENABLED		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Calendar/Enabled"
#define CSC_VCONF_KEY_SYNCMLDS_CALENDAR_TGTURI		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Calendar/TgtURI"
#define CSC_VCONF_KEY_SYNCMLDS_CALENDAR_AUTHNAME	"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Calendar/AuthInfo/Server/AuthName"
#define CSC_VCONF_KEY_SYNCMLDS_CALENDAR_AUTHPWD		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Calendar/AuthInfo/Server/AuthPWD"
#define CSC_VCONF_KEY_SYNCMLDS_MEMO_ENABLED				"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Memo/Enabled"
#define CSC_VCONF_KEY_SYNCMLDS_MEMO_TGTURI		    "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Memo/TgtURI"
#define CSC_VCONF_KEY_SYNCMLDS_MEMO_AUTHNAME		"db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Memo/AuthInfo/Server/AuthName"
#define CSC_VCONF_KEY_SYNCMLDS_MEMO_AUTHPWD		    "db/SyncML/oma-ds-agent/DS/Accounts/Sync%d/Resource/Memo/AuthInfo/Server/AuthPWD"

#endif				/* CSCKEYS_H_ */
