/*
 * oma-ds-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 *   @NA_Binder.h
 *   @version									0.1
 *   @brief										This file is the header file of interface of NA Binder
 */

#ifndef NA_BINDER_H_
#define NA_BINDER_H_

#include <sync_agent.h>
#include "service-adapter/sa_define.h"

/**
 * @par Description: API to header binding for HTTP protocol
 *
 *
 * @par Purpose:
 * @par Typical use case:
 * @par Method of function operation:
 * @par Important notes:
 * @param[in]		string type, access type(http, obex...)
 * @param[in]		string type, target uri
 * @param[in]		boolean type, xml or wbxml
 * @param[out]		GList type, list of header info
 *
 * @return				1 on success
 *							0 on error
 *
 * @par Errors:
 *
 * @pre None.
 * @post
 * @see
 * @remarks None.
 *
 * @par Sample Code:
 * @code
 * @endcode
 */
int na_http_header_binder(char *acc_type, char *loc_uri, bool is_xml, char *jsession_id, GList ** list);

/**
 * @par Description: API to free sync_agent_na_common_header_info_s structure
 *
 *
 * @par Purpose:
 * @par Typical use case:
 * @par Method of function operation:
 * @par Important notes:
 * @param[in]		sync_agent_na_common_header_info_s structure
 * @param[out]
 *
 * @return
 *
 * @par Errors:
 *
 * @pre None.
 * @post
 * @see
 * @remarks None.
 *
 * @par Sample Code:
 * @code
 * @endcode
 */
void free_header_info(sync_agent_na_common_header_info_s * common_header_info);

#endif				/* NA_BINDER_H_ */
